Get subscription history
GET
/billing/v1/subscription/historyReturns the organization's subscription history.
Authorization
Bearer Authorization<token>
In: header
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/billingv1.GetSubscriptionHistoryResponse",
"$ref-value": {
"properties": {
"items": {
"items": {
"$ref": "#/components/schemas/billingv1.SubscriptionHistoryItem",
"$ref-value": {
"properties": {
"cancel_at_period_end": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"currency": {
"type": "string"
},
"current_period_end": {
"type": "string"
},
"end_date": {
"type": "string"
},
"id": {
"type": "string"
},
"org_id": {
"type": "string"
},
"plan_id": {
"type": "string"
},
"plan_name": {
"type": "string"
},
"price": {
"type": "string"
},
"start_date": {
"type": "string"
},
"status": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/billing/v1/subscription/history"OK
application/json
{
"$ref": "#/components/schemas/billingv1.GetSubscriptionHistoryResponse",
"$ref-value": {
"properties": {
"items": {
"items": {
"$ref": "#/components/schemas/billingv1.SubscriptionHistoryItem",
"$ref-value": {
"properties": {
"cancel_at_period_end": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"currency": {
"type": "string"
},
"current_period_end": {
"type": "string"
},
"end_date": {
"type": "string"
},
"id": {
"type": "string"
},
"org_id": {
"type": "string"
},
"plan_id": {
"type": "string"
},
"plan_name": {
"type": "string"
},
"price": {
"type": "string"
},
"start_date": {
"type": "string"
},
"status": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}